cURL
curl --request GET \
--url https://service-sandbox.tazapay.com/collect/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/collect/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/collect/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "",
"data": {
"amount": 12829,
"balance_transaction": "btr_u7ftrgipu69og2qj1j1pg",
"created_at": "2027-08-15T03:43:46.980214Z",
"currency": "SGD",
"destination": "cva_d2dgk0ka772psfuj1he0",
"destination_details": {
"type": "virtual_account",
"virtual_account": {
"account_holder_name": "OM Grand Limited",
"account_number": "0109866363",
"bank_address": {
"address_line_1": "",
"address_line_2": "",
"city": "",
"country": "Singapore",
"postal_code": "",
"state": ""
},
"bank_branch": "8 MARINA BOULEVARD, 27-01, MARINA BAY FINANCIAL CENTRE",
"bank_codes": {
"swift_code": "SLSGO2XXX"
},
"bank_name": "STANDARD BANK LIMITED",
"currencies": [
"SGD"
],
"iban": "",
"id": "cva_d2dgk0552psfuj1he0",
"object": "virtual_account"
}
},
"holding_currency": "SGD",
"id": "col_d2fapsh76og2qj0ej5g",
"metadata": {},
"object": "collect",
"on_behalf_of": "",
"payer_details": {
"additional_information": "CM Payment for Order 56",
"name": "CMC COMPANY",
"payer_bank": {
"account_number": "1112019837840",
"address": null,
"bank_codes": {
"swift_code": "AJUM7CHBKXXX"
},
"name": "C Bank"
},
"reference_id": ""
},
"status": "succeeded",
"tracking_details": null,
"type": "wire_transfer"
}
}
Collect
Fetch Collect
Get details of a collect object
GET
/
collect
/
{id}
cURL
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Id of the collect
Response
200 - application/json
Amount of collect
Related Balance transaction id
Created At Timestamp
Currency of collection
Collection account id
Collection Account Details
Balance currency
Id of the collect
Show child attributes
Show child attributes
Status of the collect
Tracking details of the collect
Type of collect
Available options:
wire_transfer, local_bank_transfer, stablecoin_usdc, stablecoin_usdt Id of the entity on behalf of which the collect is created
Was this page helpful?
⌘I